Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1491380 - content set mappings for "RHEL for SAP Applications for System Z EUS" is missing from cdn/cs_mappings-prod.csv
Summary: content set mappings for "RHEL for SAP Applications for System Z EUS" is miss...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: John Francini
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 15:36 UTC by John Sefler
Modified: 2019-04-26 19:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-26 19:51:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2017-09-13 15:36:26 UTC
Description of problem:
Engineering product 337 - "RHEL for SAP Applications for System Z EUS" provides access to the following content sets (click "Unwrap comment" to see the table)...

ContentSetLabel						ContentSetID	ActualModifiedEngIDs	ExpectedModifiedEngIDs
rhel-sap-for-rhel-7-for-system-z-eus-debug-rpms		5548		[] <= FAILED		336
rhel-sap-for-rhel-7-for-system-z-eus-rpms		5549		[] <= FAILED		336
rhel-sap-for-rhel-7-for-system-z-eus-source-rpms	5550		[] <= FAILED		336

Because these are EUS content sets, the intended business requirement is that a customer who is granted an entitlement to these content sets must also have an entitlement to the base product that these EUS content sets modify.  In order to achieve this requirement, the RHSM Candlepin tooling expects the list of ModifiedEngIDs to be accurate and non-empty.  Hence the expected modified engineering product ids for all the content sets listed above should be product 336 "RHEL for SAP Applications for System Z".  If product management agrees, then I believe the following rcm file

http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-prod.csv

should be updated to include an ENG CONTENT ID, MODIFIES mapping to product 336 for all of the ContentSetIDs in the table above.

If no changes are made, then a customer will continue gaining access to the EUS content provided by the failing repos above without also attaching an entitlement that provides "RHEL for SAP Applications for System Z".

Comment 2 John Francini 2017-10-25 22:41:40 UTC
I've pushed an updated cs_mappings.csv file to Product Proxy in both the Stage and QA environments. Please run the test again on this set of discrepencies.

Comment 4 John Sefler 2018-09-04 19:15:46 UTC
http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-prod.csv appears fixed and automated tests are passing.


Note You need to log in before you can comment on or make changes to this bug.